<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>

<body>

    <script>
        /* 
            Faça um algoritmo que retorne a a letra mais repetida de uma string
        */
        function mostUsedChar(text) {
            let map = new Map();
            for (let char of text) {
                map.set(char, (map.get(char) + 1) || 1)
            }
            let result
            let max = 0
            for (let [char, count] of map.entries()) {
                if (count > max) {
                    max = count
                    result = char
                }
            }
            return result
        }

        // Resultados esperados
        console.log(mostUsedChar("fdgdfgff"), 'f') // f
        console.log(mostUsedChar("Lorem ipsum"), 'm') // m
        console.log(mostUsedChar("adsassdasd"), 's') // s
        console.log(mostUsedChar("testeeeee"), 'e') // e

    </script>
</body>

</html>